Bug 707876 - add proper dependency on syslog to corosync init
Summary: add proper dependency on syslog to corosync init
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 08:43 UTC by Jan Friesse
Modified: 2011-12-06 11:50 UTC (History)
4 users (show)

Fixed In Version: corosync-1.4.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The corosync init script didn't depend on syslog. Consequence: There would be no syslog logging in the event that syslog was turned off by the user. Fix: Added syslog as a dependency to the init script. Result: Logging occurs in all cases.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:50:49 UTC


Attachments (Terms of Use)
add proper dependency on syslog to corosync init: (765 bytes, patch)
2011-05-26 08:43 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1515 normal SHIPPED_LIVE corosync bug fix and enhancement update 2011-12-06 00:38:47 UTC

Description Jan Friesse 2011-05-26 08:43:34 UTC
Created attachment 501021 [details]
add proper dependency on syslog to corosync init:

Description of problem:
add proper dependency on syslog to corosync init:


Expected results:
Required-Start:      $network $syslog

Additional info:

Comment 1 Jan Friesse 2011-05-26 08:44:09 UTC
In GIT as 1e744018216c4445d11f59b401e9109dd239a7b2

Comment 9 Steven Dake 2011-10-27 18:45:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The corosync init script didn't depend on syslog.
  Consequence: There would be no syslog logging in the event that syslog was turned off by the user.
  Fix: Added syslog as a dependency to the init script.
  Result: Logging occurs in all cases.

Comment 10 errata-xmlrpc 2011-12-06 11:50:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1515.html


Note You need to log in before you can comment on or make changes to this bug.